LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::configuration::backend::NodeAttribute Constant Group Referencepublished

These values are used to specify the behavior of a node or property in a layer. More...

## Variables
const short | FINALIZED = 256
| indicates that a node or property may not be changed or overridden in subsequent layers More...
const short | MANDATORY = 512
| indicates that a set item may not be removed or replaced in subsequent layers. More...
const short | READONLY = 1024
| indicates that a node or property may not be changed in this or subsequent layer. More...
const short | FUSE = 2048
| indicates that contents shall be fused. More...
const short | MASK = 32512
| can be used to mask the node attributes from merged attributes More...

## Detailed Description

These values are used to specify the behavior of a node or property in a layer.

The values were chosen so they can be combined with values from SchemaAttribute

See also
  com::sun::star::configuration::backend::SchemaAttribute During merging the values may be combined with static attributes from the schema.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ FINALIZED

const short FINALIZED = 256

indicates that a node or property may not be changed or overridden in subsequent layers

## ◆ FUSE

const short FUSE = 2048

indicates that contents shall be fused.

Used in XLayerHandler::addOrReplaceNode(), XLayerHandler::addOrReplaceNodeFromTemplate(), XUpdateHandler::addOrReplaceNode(), and XUpdateHandler::addOrReplaceNodeFromTemplate().

Since
  OOo 2.0.3

## ◆ MANDATORY

const short MANDATORY = 512

indicates that a set item may not be removed or replaced in subsequent layers.

## ◆ MASK

const short MASK = 32512

can be used to mask the node attributes from merged attributes

## ◆ READONLY

const short READONLY = 1024

indicates that a node or property may not be changed in this or subsequent layer.